# NOTE: This file is auto-generated. Do not modify.

load ../common

setup () {
    [[ $CH_BUILDER = ch-image ]] || skip 'ch-image only'
}


@test "ch-image --force: centos:7, unneeded fail, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: centos:7, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, unneeded fail, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"

}

# skip: centos:7, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: centos:7, unneeded win, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"

}

# skip: centos:7, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, unneeded win, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: centos:7, unneeded win, with --force, preprep: not needed

@test "ch-image --force: centos:7, fake needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: centos:7, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, fake needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: centos:7, fake needed, with --force, preprep: not needed

@test "ch-image --force: centos:7, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel7"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: centos:7, needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:7, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:7
RUN yum install -y openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: centos:7, needed, with --force, preprep" {
scope standard


# build 1: intermediate image for preparatory commands
run ch-image -v build -t tmpimg -f - . << 'EOF'
FROM centos:7
RUN yum install -y epel-release
EOF
echo "$output"
[[ $status -eq 0 ]]


# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM tmpimg
RUN yum install -y openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel7"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: centos:latest, unneeded fail, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: centos:latest, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: centos:latest, unneeded fail, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"

}

# skip: centos:latest, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: centos:latest, unneeded win, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"

}

# skip: centos:latest, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: centos:latest, unneeded win, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: centos:latest, unneeded win, with --force, preprep: not needed

@test "ch-image --force: centos:latest, fake needed, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: centos:latest, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:latest, fake needed, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: centos:latest, fake needed, with --force, preprep: not needed

@test "ch-image --force: centos:latest, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: centos:latest, needed, w/o --force, preprep: not needed

@test "ch-image --force: centos:latest, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM centos:latest
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: centos:latest, needed, with --force, preprep" {
scope standard


# build 1: intermediate image for preparatory commands
run ch-image -v build -t tmpimg -f - . << 'EOF'
FROM centos:latest
RUN dnf install -y epel-release
EOF
echo "$output"
[[ $status -eq 0 ]]


# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM tmpimg
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded fail, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: quay.io/centos/centos:stream8, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded fail, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"

}

# skip: quay.io/centos/centos:stream8, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded win, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"

}

# skip: quay.io/centos/centos:stream8, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, unneeded win, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: quay.io/centos/centos:stream8, unneeded win, with --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, fake needed, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: quay.io/centos/centos:stream8, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, fake needed, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: quay.io/centos/centos:stream8, fake needed, with --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, needed, w/o --force, no preprep" {
scope standard
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: quay.io/centos/centos:stream8, needed, w/o --force, preprep: not needed

@test "ch-image --force: quay.io/centos/centos:stream8, needed, with --force, no preprep" {
scope standard
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM quay.io/centos/centos:stream8
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: quay.io/centos/centos:stream8, needed, with --force, preprep: no preprep command

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded fail, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded fail, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded win, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, unneeded win, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: registry.access.redhat.com/ubi8/ubi, unneeded win, with --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, fake needed, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: registry.access.redhat.com/ubi8/ubi, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, fake needed, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: registry.access.redhat.com/ubi8/ubi, fake needed, with --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, needed, w/o --force, no preprep" {
scope standard
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: rhel8"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: registry.access.redhat.com/ubi8/ubi, needed, w/o --force, preprep: not needed

@test "ch-image --force: registry.access.redhat.com/ubi8/ubi, needed, with --force, no preprep" {
scope standard
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM registry.access.redhat.com/ubi8/ubi
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: rhel8"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: registry.access.redhat.com/ubi8/ubi, needed, with --force, preprep: no preprep command

@test "ch-image --force: fedora:26, unneeded fail, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: fedora:26, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, unneeded fail, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"

}

# skip: fedora:26, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: fedora:26, unneeded win, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"

}

# skip: fedora:26, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, unneeded win, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: fedora:26, unneeded win, with --force, preprep: not needed

@test "ch-image --force: fedora:26, fake needed, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: fedora:26, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, fake needed, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:26, fake needed, with --force, preprep: not needed

@test "ch-image --force: fedora:26, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: fedora:26, needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:26, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:26
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:26, needed, with --force, preprep: no preprep command

@test "ch-image --force: fedora:34, unneeded fail, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: fedora:34, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: fedora:34, unneeded fail, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"

}

# skip: fedora:34, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: fedora:34, unneeded win, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"

}

# skip: fedora:34, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: fedora:34, unneeded win, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: fedora:34, unneeded win, with --force, preprep: not needed

@test "ch-image --force: fedora:34, fake needed, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"

}

# skip: fedora:34, fake needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:34, fake needed, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN dnf install -y --setopt=install_weak_deps=false ed
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:34, fake needed, with --force, preprep: not needed

@test "ch-image --force: fedora:34, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: fedora"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: fedora:34, needed, w/o --force, preprep: not needed

@test "ch-image --force: fedora:34, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM fedora:34
RUN dnf install -y --setopt=install_weak_deps=false openssh
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: fedora"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: fedora:34, needed, with --force, preprep: no preprep command

@test "ch-image --force: debian:9, unneeded fail, w/o --force, no preprep" {
scope full
arch_exclude ppc64le

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:9
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: debian:9, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: debian:9, unneeded fail, with --force, no preprep" {
scope full
arch_exclude ppc64le

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:9
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: debian:9, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: debian:9, unneeded win, w/o --force, no preprep" {
scope full
arch_exclude ppc64le

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:9
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: debian:9, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: debian:9, unneeded win, with --force, no preprep" {
scope full
arch_exclude ppc64le

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:9
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: debian:9, unneeded win, with --force, preprep: not needed

# skip: debian:9, fake needed, w/o --force, no preprep: no run command

# skip: debian:9, fake needed, w/o --force, preprep: not needed

# skip: debian:9, fake needed, with --force, no preprep: no run command

# skip: debian:9, fake needed, with --force, preprep: not needed

@test "ch-image --force: debian:9, needed, w/o --force, no preprep" {
scope standard
arch_exclude ppc64le

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:9
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: debian:9, needed, w/o --force, preprep: not needed

@test "ch-image --force: debian:9, needed, with --force, no preprep" {
scope standard
arch_exclude ppc64le

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:9
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: debian:9, needed, with --force, preprep: no preprep command

@test "ch-image --force: debian:latest, unneeded fail, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: debian:latest, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: debian:latest, unneeded fail, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: debian:latest, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: debian:latest, unneeded win, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: debian:latest, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: debian:latest, unneeded win, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: debian:latest, unneeded win, with --force, preprep: not needed

# skip: debian:latest, fake needed, w/o --force, no preprep: no run command

# skip: debian:latest, fake needed, w/o --force, preprep: not needed

# skip: debian:latest, fake needed, with --force, no preprep: no run command

# skip: debian:latest, fake needed, with --force, preprep: not needed

@test "ch-image --force: debian:latest, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM debian:latest
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: debian:latest, needed, w/o --force, preprep: not needed

@test "ch-image --force: debian:latest, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM debian:latest
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: debian:latest, needed, with --force, preprep: no preprep command

@test "ch-image --force: ubuntu:16.04, unneeded fail, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:16.04
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: ubuntu:16.04, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:16.04, unneeded fail, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:16.04
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: ubuntu:16.04, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: ubuntu:16.04, unneeded win, w/o --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:16.04
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: ubuntu:16.04, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:16.04, unneeded win, with --force, no preprep" {
scope full
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:16.04
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: ubuntu:16.04, unneeded win, with --force, preprep: not needed

# skip: ubuntu:16.04, fake needed, w/o --force, no preprep: no run command

# skip: ubuntu:16.04, fake needed, w/o --force, preprep: not needed

# skip: ubuntu:16.04, fake needed, with --force, no preprep: no run command

# skip: ubuntu:16.04, fake needed, with --force, preprep: not needed

@test "ch-image --force: ubuntu:16.04, needed, w/o --force, no preprep" {
scope standard
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:16.04
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: ubuntu:16.04, needed, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:16.04, needed, with --force, no preprep" {
scope standard
arch_exclude aarch64

# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:16.04
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: ubuntu:16.04, needed, with --force, preprep: no preprep command

@test "ch-image --force: ubuntu:18.04, unneeded fail, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:18.04
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: ubuntu:18.04, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:18.04, unneeded fail, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:18.04
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: ubuntu:18.04, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: ubuntu:18.04, unneeded win, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:18.04
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: ubuntu:18.04, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:18.04, unneeded win, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:18.04
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: ubuntu:18.04, unneeded win, with --force, preprep: not needed

# skip: ubuntu:18.04, fake needed, w/o --force, no preprep: no run command

# skip: ubuntu:18.04, fake needed, w/o --force, preprep: not needed

# skip: ubuntu:18.04, fake needed, with --force, no preprep: no run command

# skip: ubuntu:18.04, fake needed, with --force, preprep: not needed

@test "ch-image --force: ubuntu:18.04, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:18.04
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: ubuntu:18.04, needed, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:18.04, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:18.04
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: ubuntu:18.04, needed, with --force, preprep: no preprep command

@test "ch-image --force: ubuntu:latest, unneeded fail, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "build failed: current version of --force wouldn't help"

}

# skip: ubuntu:latest, unneeded fail, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:latest, unneeded fail, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:latest
RUN false
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"

}

# skip: ubuntu:latest, unneeded fail, with --force, preprep: not needed

@test "ch-image --force: ubuntu:latest, unneeded win, w/o --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"

}

# skip: ubuntu:latest, unneeded win, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:latest, unneeded win, with --force, no preprep" {
scope full


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:latest
RUN true
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "warning: --force specified, but nothing to do"

}

# skip: ubuntu:latest, unneeded win, with --force, preprep: not needed

# skip: ubuntu:latest, fake needed, w/o --force, no preprep: no run command

# skip: ubuntu:latest, fake needed, w/o --force, preprep: not needed

# skip: ubuntu:latest, fake needed, with --force, no preprep: no run command

# skip: ubuntu:latest, fake needed, with --force, preprep: not needed

@test "ch-image --force: ubuntu:latest, needed, w/o --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build  -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:latest
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 1 ]]
echo "$output" | grep -Eq -- "available --force: debderiv"
echo "$output" | grep -Eq -- "RUN: available here with --force"
echo "$output" | grep -Eq -- "build failed: --force may fix it"

}

# skip: ubuntu:latest, needed, w/o --force, preprep: not needed

@test "ch-image --force: ubuntu:latest, needed, with --force, no preprep" {
scope standard


# build 1: intermediate image for preparatory commands
# skipped: no separate prep

# build 2: image we're testing
run ch-image -v build --force -t tmpimg2 -f - . << 'EOF'
FROM ubuntu:latest
RUN apt-get update && apt-get install -y openssh-client
EOF
echo "$output"
[[ $status -eq 0 ]]
echo "$output" | grep -Eq -- "will use --force: debderiv"
echo "$output" | grep -Eq -- "--force: init OK & modified 1 RUN instructions"

}

# skip: ubuntu:latest, needed, with --force, preprep: no preprep command
